- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

operator/=
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Assignment & Indexing operation on arrays

Divides and assigns the value(s) of val to the elements of the af::array. More...

array & | operator/= (const array &val)
| Divides the value(s) of val to the elements of the array. More...
array & | operator/= (const double &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const cdouble &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const cfloat &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const float &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const int &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const unsigned &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const bool &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const char &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const unsigned char &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const long &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const unsigned long &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const long long &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...
array & | operator/= (const unsigned long long &val)
| Divides the value(s) of val to the elements of the array. (const array &) More...

## Detailed Description

Divides and assigns the value(s) of val to the elements of the af::array.

Divides and assigns values

## Function Documentation

array& operator/= | ( | const array & | val | ) |

Divides the value(s) of val to the elements of the array.

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side.

array& operator/= | ( | const unsigned long long & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const long long & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const unsigned long & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const long & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const unsigned char & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const char & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const bool & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const unsigned & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const int & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const float & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const cfloat & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const cdouble & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)

array& operator/= | ( | const double & | val | ) |

Divides the value(s) of val to the elements of the array. (const array &)

Parameters

  [in] | val | is the value to be assigned to the /ref af::array

Returns
  the reference to this

Note
  This is a copy on write operation. The copy only occurs when the operator() is used on the left hand side. (const array &)